# pion::algo Struct Reference

List of all members.

## Detailed Description

Definition at line 19 of file PionAlgorithms.hpp.

## Static Public Member Functions

static bool | base64_decode (std::string const &input, std::string &output)
static bool | base64_encode (std::string const &input, std::string &output)
static std::string | url_decode (const std::string &str)
| escapes URL-encoded strings (a20value+with20spaces)
static std::string | url_encode (const std::string &str)
| encodes strings so that they are safe for URLs (with20spaces)

## Member Function Documentation

bool pion::algo::base64_decode | ( | std::string const & | input,
|  | std::string & | output |
| ) |  |  | `[static]`

base64 decoding

Parameters:

  | input | - base64 encoded string
  | output | - decoded string ( may include non-text chars)

Returns:
  true if successful, false if input string contains non-base64 symbols

Definition at line 18 of file PionAlgorithms.cpp.

Referenced by pion::net::HTTPBasicAuth::parseCredentials().

bool pion::algo::base64_encode | ( | std::string const & | input,
|  | std::string & | output |
| ) |  |  | `[static]`

base64 encoding

Parameters:

  | input | - arbitrary string ( may include non-text chars)
  | output | - base64 encoded string

Returns:
  true if successful,

Definition at line 98 of file PionAlgorithms.cpp.

Referenced by pion::net::HTTPCookieAuth::processLogin().

The documentation for this struct was generated from the following files:

- common/include/pion/PionAlgorithms.hpp
- common/src/PionAlgorithms.cpp